Package com.verisign.epp.interfaces

## Class EPPUnhandledNamespacesLoginAdapter

- java.lang.Object
- - com.verisign.epp.interfaces.EPPUnhandledNamespacesLoginAdapter

- All Implemented Interfaces:
    `EPPLoginAdapter`

      public class EPPUnhandledNamespacesLoginAdapter
      extends java.lang.Object
      implements EPPLoginAdapter

  Interface that can be implemented and configured to be called by `EPPSession` to customize the `EPPLoginCmd` prior to sending it. Both the server's `EPPGreeting` and the original `EPPLoginCmd` is provided. The adapter can modify the `EPPLoginCmd` that will then be sent. This adapter is used to customize the login services that is passed by the client to trigger application of the unhandled namespaces defined in draft-ietf-regext-unhandled-namespaces.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPUnhandledNamespacesLoginAdapter()` | Default constructor.
    `EPPUnhandledNamespacesLoginAdapter​(java.lang.String aFilterNamespace)` | `EPPUnhandledNamespacesLoginAdapter` constructor that takes a single Namespace URI to filter from the login services.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `adaptLogin​(EPPLoginCmd aLoginCmd, EPPGreeting aGreeting)` | Adapt the `EPPLoginCmd` `aLoginCmd` parameter based on the current state of the `EPPLoginCmd` and the contents of the `EPPGreeting` `aGreeting` parameter sent by the server.
    `void` | `addFilterNamespace​(java.lang.String aNamespace)` | Add a Namespace URI to the list of Namespace URIs to filter from the login services.
    `void` | `setFilterNamespaces​(java.util.List<java.lang.String> aFilterNamespaces)` | Sets the Namespace URIs to filter from the login services.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPUnhandledNamespacesLoginAdapter

          public EPPUnhandledNamespacesLoginAdapter()

      Default constructor. Filters are set with `setFilterNamespaces(List)` and `addFilterNamespace(String)`.

    - #### EPPUnhandledNamespacesLoginAdapter

          public EPPUnhandledNamespacesLoginAdapter​(java.lang.String aFilterNamespace)

      `EPPUnhandledNamespacesLoginAdapter` constructor that takes a single Namespace URI to filter from the login services.
      Parameters:
        `aFilterNamespace` - Namespace URI to filter from the login services.

  - ### Method Detail

    - #### setFilterNamespaces

          public void setFilterNamespaces​(java.util.List<java.lang.String> aFilterNamespaces)

      Sets the Namespace URIs to filter from the login services.
      Parameters:
        `aFilterNamespaces` - Namespace URIs to filter from the login services.

    - #### addFilterNamespace

          public void addFilterNamespace​(java.lang.String aNamespace)

      Add a Namespace URI to the list of Namespace URIs to filter from the login services.
      Parameters:
        `aNamespace` - Namespace URI to add to the Namespace URIs list

    - #### adaptLogin

          public void adaptLogin​(EPPLoginCmd aLoginCmd,
                                 EPPGreeting aGreeting)
                          throws EPPCommandException

      Adapt the `EPPLoginCmd` `aLoginCmd` parameter based on the current state of the `EPPLoginCmd` and the contents of the `EPPGreeting` `aGreeting` parameter sent by the server. This method will filter the Namespace URIs from the login services set in the `aLoginCmd` parameter.
      Specified by:
        `adaptLogin` in interface `EPPLoginAdapter`
      Parameters:
        `aLoginCmd` - Original `EPPLoginCmd` created by `EPPSession` that will have the login services filtered by the Namespace URI list.
        `aGreeting` - `EPPGreeting` returned by the server that can be used to drive the adapting of the `EPPLoginCmd`.
      Throws:
        `EPPCommandException` - Error found with adapting the login